from socket import fromfd

import pymysql
import hashlib
import os
os.environ.setdefault("DJANGO_SETTINGS_MODULE", "aiDogProject.settings")
import django
django.setup()
from aiDogApp.models import *
from datetime import datetime
import json
from django.core import serializers
# 响应模板
def get_response_template():
    return {
        "code": "",
        "status": "",
        "msg": "",
        "response_time": datetime.now().strftime('%Y-%m-%d %H:%M:%S')
    }
def login_user(mobile_number,email, password,client_language):
    # 连接mysql数据库

    response = get_response_template()
    try:
        # with connection.cursor(pymysql.cursors.DictCursor) as cursor:
         # Hash加密密码并进行数据库比对
            hashed_password = hashlib.sha256(password.encode()).hexdigest()



              # 根据手机号和密码查找user表
            if client_language == "zh-cn":
                # 手机号登录
                user = User.objects.filter(mobile=mobile_number, password=hashed_password)
            else:
                # 邮箱登录
                user = User.objects.filter(email=email, password=hashed_password)


            # 使用 Django 的 serializers 序列化模型对象
            user_serialized=serializers.serialize('json',user)

            # 使用 Django 的 serializers 序列化模型对象
            # user_serialized = serializers.serialize('json', [user])

            # 解析 JSON 字符串为 Python 对象
            user_json = json.loads(user_serialized)[0]['fields']['uid']
            # dog_info = Doginfo.objects.filter(owner_id=user_json)
            # print(dog_info)
            # dog_list=[]
            # for dog in dog_info:
            #     dog_serialized = serializers.serialize('json', [dog])
            #     dog_list.append(json.loads(dog_serialized)[0]['fields']['d_id'])

            if user.exists():
                # response['code'] = 200
                # response['status'] = "success"
                # response['user_id'] = user_json
                # response['dog_list'] = dog_list
                # return response
                return {"code": 200, "status": "success", "message": "Login Success!", "user_id": user_json, }

            else:
                raise ValueError('User not found or incorrect password') # User not found or incorrect password




    except Exception as e:
        print(f"Error: {e}")
        return None
    # finally:
    #     connection.close()


# # Example usage
# mobile_number = '1234567890'
# # password = 'your_password'
# password = 'ypwd121'
# user_info = login_user(mobile_number, password)
# print("User information:", user_info)
# if user_info:
#     print("Login successful!")
#     print("User information:", user_info)
# else:
#     print("Login failed. Incorrect mobile number or password.")
