from django.urls import path
from .views import check_Uvoice,login,toRegister,upload_Uvoice,toLogin,initialPuppy,toUpdatePuppyStatus,interaction,login_by_token,login_quick_start,use_props,get_access_token
from django.views.generic import TemplateView
from . import views,user
from .user import get_user_info,update_user_info,feedback
from .voice_process import check_Uvoice,upload_Uvoice_latest1,voice_call_training,voice_command_training,voice_reset
from .dog_transfer import transfer_dog_cancel,receive_dog_transfer,send_dog_2_other
from .props  import use_props,purchase_props
from .walk_dogs import walk_dogs_score,frisbee_dogs_score
urlpatterns = [
    path('api/check_Uvoice/', check_Uvoice),
    path('api/login/', login),
    path('api/login/token/', login_by_token),
    path('api/access_token/refresh/',get_access_token),
    path('api/toLogin/', toLogin),
    path('api/game/quick_start/', login_quick_start),
    path('api/user/register/', toRegister),
    path('api/user/info/', get_user_info),
    path('api/user/update/', update_user_info),
    path('api/user/feedback/', feedback),
    path('api/voice/training/', upload_Uvoice_latest1),#口令训练接口
    path('api/voice/call/', voice_call_training),#语音呼唤发送
    path('api/voice/command/', voice_command_training),#语音呼唤发送
    path('api/voice/training/', upload_Uvoice_latest1),#语音指令发送
    path('api/voice/reset/', voice_reset),  # 语音重置
    path('api/update_puppy_status/', toUpdatePuppyStatus),
    path('api/voiceCallInteraction/', toUpdatePuppyStatus),
    path('api/initial/dog/', initialPuppy),
    path('api/interaction/', interaction),
    path('api/item/use/', use_props),
    path('api/item/purchase/', purchase_props),
    path('api/transfer_dog/cancel/', transfer_dog_cancel),
    path('api/transfer_dog/receive/', receive_dog_transfer),
    path('api/transfer_dog/send/', send_dog_2_other),
    path('api/walkdogs/score/', walk_dogs_score),# 遛狗得分接口
    path('api/frisbee/score/', frisbee_dogs_score),# 飞盘得分接口

    path('api/server/alive/', server_alive),# 飞盘得分接口




    # path('',views.login)
    # 其他 URL 模式
    path('迈通T+.html', TemplateView.as_view(template_name='迈通T+.html')),
    path('牧俊T+.html', TemplateView.as_view(template_name='牧俊T+.html')),
]
